/*
 *	@(#)ImageComponent2DURLIOListener.java 1.3 02/04/01 15:02:43
 *
 * Copyright (c) 1996-2002 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * - Redistributions of source code must retain the above copyright
 *   notice, this list of conditions and the following disclaimer.
 *
 * - Redistribution in binary form must reproduce the above copyright
 *   notice, this list of conditions and the following disclaimer in
 *   the documentation and/or other materials provided with the
 *   distribution.
 *
 * Neither the name of Sun Microsystems, Inc. or the names of
 * contributors may be used to endorse or promote products derived
 * from this software without specific prior written permission.
 *
 * This software is provided "AS IS," without a warranty of any
 * kind. ALL EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND
 * WARRANTIES, INCLUDING ANY IMPLIED WARRANTY OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT, ARE HEREBY
 * EXCLUDED. SUN AND ITS LICENSORS SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THE SOFTWARE OR ITS DERIVATIVES. IN NO EVENT WILL SUN
 * OR ITS LICENSORS BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR
 * FOR DIRECT, INDIRECT, SPECIAL, CONSEQUENTIAL, INCIDENTAL OR
 * PUNITIVE DAMAGES, HOWEVER CAUSED AND REGARDLESS OF THE THEORY OF
 * LIABILITY, ARISING OUT OF THE USE OF OR INABILITY TO USE SOFTWARE,
 * EVEN IF SUN HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
 *
 * You acknowledge that Software is not designed,licensed or intended
 * for use in the design, construction, operation or maintenance of
 * any nuclear facility.
 */

package com.sun.j3d.utils.scenegraph.io.state.com.sun.j3d.utils.image;

/**
 * The listener interface which is called when a ImageComponent2DURL is
 * loaded from the scenegraph file
 */
public interface ImageComponent2DURLIOListener {

    /**
     * The listener method which is called when a ImageComponent2DURL is
     * loaded from the scenegraph file.
     *
     * This method must return a valid ImageComponent2DURL, the returned object
     * will be placed in the scene graph.
     *
     * @param format The image format from ImageComponent
     * @param width The image width from ImageComponent
     * @param height The image height from ImageComponent
     * @param byReference The byReference flag from ImageComponent
     * @param yUp The yUp flag from ImageComponent
     * @param url The URL for the image component
     */
    public ImageComponent2DURL createImageComponent(
            int format, int width, int height, boolean byReference, boolean yUp,
            java.net.URL url );
}

